## org.eclipse.xsd
Enum XSDCompositor

    java.lang.Object
      java.lang.Enum<XSDCompositor>
          org.eclipse.xsd.XSDCompositor

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<XSDCompositor>, Enumerator

    public enum XSDCompositor

extends java.lang.Enum<XSDCompositor>
implements Enumerator

A representation of the literals of the enumeration 'Compositor'.

See Also:
  `XSDModelGroup.getCompositor()`, `XSDPackage.getXSDCompositor()`

Enum Constant Summary
`ALL_LITERAL` The 'All' literal object
`CHOICE_LITERAL` The 'Choice' literal object
`SEQUENCE_LITERAL` The 'Sequence' literal object

Field Summary
`static int` `ALL` The 'All' literal value
`static int` `CHOICE` The 'Choice' literal value
`static int` `SEQUENCE` The 'Sequence' literal value
`static java.util.List<XSDCompositor>` `VALUES` A public read-only list of all the 'Compositor' enumerators

Method Summary
`static XSDCompositor` `get(int value)` Returns the 'Compositor' literal with the specified integer value
`static XSDCompositor` `get(java.lang.String literal)` Returns the 'Compositor' literal with the specified literal value
`static XSDCompositor` `getByName(java.lang.String name)` Returns the 'Compositor' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static XSDCompositor` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static XSDCompositor[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL_LITERAL

    public static final XSDCompositor ALL_LITERAL

  The 'All' literal object.

  See Also:
    `ALL`

### CHOICE_LITERAL

    public static final XSDCompositor CHOICE_LITERAL

  The 'Choice' literal object.

  See Also:
    `CHOICE`

### SEQUENCE_LITERAL

    public static final XSDCompositor SEQUENCE_LITERAL

  The 'Sequence' literal object.

  See Also:
    `SEQUENCE`

Field Detail

### ALL

    public static final int ALL

  The 'All' literal value.

  This is used to indicate that a model group is an all.

  See Also:
    `ALL_LITERAL`, Constant Field Values

### CHOICE

    public static final int CHOICE

  The 'Choice' literal value.

  This is used to indicate that a model group is a choice.

  See Also:
    `CHOICE_LITERAL`, Constant Field Values

### SEQUENCE

    public static final int SEQUENCE

  The 'Sequence' literal value.

  This is used to indicate that a model group is a sequence.

  See Also:
    `SEQUENCE_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<XSDCompositor> VALUES

  A public read-only list of all the 'Compositor' enumerators.

Method Detail

### values

    public static final XSDCompositor[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(XSDCompositor c : XSDCompositor.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static XSDCompositor valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static XSDCompositor get(java.lang.String literal)

  Returns the 'Compositor' literal with the specified literal value.

### getByName

    public static XSDCompositor getByName(java.lang.String name)

  Returns the 'Compositor' literal with the specified name.

### get

    public static XSDCompositor get(int value)

  Returns the 'Compositor' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<XSDCompositor>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.